Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignDataRange

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseDataRange
          net.sf.jasperreports.charts.design.JRDesignDataRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRDataRange, JRChangeEventsSupport, JRCloneable

    public class JRDesignDataRange

extends JRBaseDataRange
implements JRChangeEventsSupport

Contains a range of values. Used to specify the set of acceptable values for a meter or thermometer, and to divide those charts up into subsections.

Version:
  $Id: JRDesignDataRange.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_HIGH_EXPRESSION`
`static java.lang.String` | `PROPERTY_LOW_EXPRESSION`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseDataRange
`highExpression, lowExpression`

Constructor Summary
`JRDesignDataRange(JRDataRange dataRange)` Constructs a new data range that is a copy of an existing one.

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setHighExpression(JRExpression highExpression)` Sets the high expression of the range.
`void` | `setLowExpression(JRExpression lowExpression)` Sets the low expression of the range.

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseDataRange
`clone, collectExpressions, getHighExpression, getLowExpression`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_HIGH_EXPRESSION

    public static final java.lang.String PROPERTY_HIGH_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_LOW_EXPRESSION

    public static final java.lang.String PROPERTY_LOW_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignDataRange

    public JRDesignDataRange(JRDataRange dataRange)

  Constructs a new data range that is a copy of an existing one.

  Parameters:
    `dataRange` - the range to copy

Method Detail

### setLowExpression

    public void setLowExpression(JRExpression lowExpression)

  Sets the low expression of the range. The low expression is evaluted to get the lower bound of the range.

  Parameters:
    `lowExpression` - used to get the lower bound of the range

### setHighExpression

    public void setHighExpression(JRExpression highExpression)

  Sets the high expression of the range. The high expression is used to get the upper bound of the range.

  Parameters:
    `highExpression` - used to get the upper bound of the range

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com